Bug 823533 - hddtemp_smartctl plugin has a bug
hddtemp_smartctl plugin has a bug
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 09:25 EDT by boss-chifra
Modified: 2012-09-26 17:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 05:00:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description boss-chifra 2012-05-21 09:25:03 EDT
Description of problem:

In RHEL6 smartctl works not as it expected plugin. I beg to make my patch, without this plugin does not correctly determine his version, and breaks.
I also sent a patch to upstream and have already made. Because 1.4 release will be no more, please include my patch to spec file near line 247.

#Fix detect version in hddtemp_smartctl plufin (for munin 1.4)
sed -i '/if ($smartctl/ s/\/ version/\/ release/i' %{buildroot}/usr/share/munin/plugins/hddtemp_smartctl

Version-Release number of selected component (if applicable):

munin-node-1.4.7-3.el6.noarch.rpm

How reproducible:

Steps to Reproduce:
1. Enable EPEL on CentOS 6.2
2. yum install munin-java-plugins-1.4.7-3.el6.noarch smartmontools-5.39.1-5.el6.x86_64
  
Actual results:
smartctl --version
smartctl 5.39.1 2010-01-28 r3054 [x86_64-unknown-linux-gnu] (local build)
smartmontools release 5.39.1 dated 2010-01-28 at 20:46:44 UTC


Expected results:
smartctl --version
smartctl version 5.39.1 [x86_64-redhat-linux-gnu] Copyright (C) 2002-8 Bruce Allen
Home page is http://smartmontools.sourceforge.net/
smartmontools release 5.39.1 dated 2008/03/10 at 10:44:07 GMT

Additional info:
http://munin-monitoring.org/ticket/1222
Comment 1 Fedora Update System 2012-08-07 00:19:26 EDT
munin-2.0.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.fc17
Comment 2 Fedora Update System 2012-08-07 00:33:10 EDT
munin-2.0.4-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.fc16
Comment 3 Fedora Update System 2012-08-07 00:34:33 EDT
munin-2.0.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.el6
Comment 4 Fedora Update System 2012-08-07 00:44:06 EDT
munin-2.0.4-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.4-3.el5
Comment 5 Fedora Update System 2012-08-08 14:32:01 EDT
Package munin-2.0.4-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.4-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6640/munin-2.0.4-3.el5
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-14 14:36:56 EDT
munin-2.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.fc17
Comment 7 Fedora Update System 2012-08-14 14:53:29 EDT
munin-2.0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.fc16
Comment 8 Fedora Update System 2012-08-14 15:00:06 EDT
munin-2.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.5-1.el6
Comment 9 Fedora Update System 2012-08-19 21:52:13 EDT
munin-2.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.5-2.fc17
Comment 10 Fedora Update System 2012-08-19 21:53:47 EDT
munin-2.0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.5-2.fc16
Comment 11 Fedora Update System 2012-08-20 00:12:14 EDT
munin-2.0.5-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.5-3.el5
Comment 12 Fedora Update System 2012-08-20 00:12:23 EDT
munin-2.0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.5-3.el6
Comment 13 Fedora Update System 2012-09-01 09:01:37 EDT
munin-2.0.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc17
Comment 14 Fedora Update System 2012-09-01 09:46:10 EDT
munin-2.0.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.fc16
Comment 15 Fedora Update System 2012-09-01 15:41:33 EDT
munin-2.0.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el6
Comment 16 Fedora Update System 2012-09-01 16:14:03 EDT
munin-2.0.6-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-1.el5
Comment 17 Fedora Update System 2012-09-08 02:40:16 EDT
munin-2.0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc17
Comment 18 Fedora Update System 2012-09-08 03:27:41 EDT
munin-2.0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.fc16
Comment 19 Fedora Update System 2012-09-08 03:41:09 EDT
munin-2.0.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el6
Comment 20 Fedora Update System 2012-09-08 03:53:55 EDT
munin-2.0.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.6-2.el5
Comment 21 Fedora Update System 2012-09-26 05:00:38 EDT
munin-2.0.6-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2012-09-26 05:07:47 EDT
munin-2.0.6-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-09-26 17:34:29 EDT
munin-2.0.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2012-09-26 17:37:22 EDT
munin-2.0.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.